Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.logger
Class KnowledgeRuntimeLoggerFactory

    java.lang.Object
      org.drools.logger.KnowledgeRuntimeLoggerFactory

    public class KnowledgeRuntimeLoggerFactory

extends Object

The KnowledgeRuntimeLogger uses the comprehensive event system in Drools to create an audit log that can be used log the execution of drools for later inspection, in tools such as the Eclipse audit viewer.

     KnowledgeRuntimeLogger logger = KnowledgeRuntimeLoggerFactory.newFileLogger(ksession, "logdir/mylogfile");
     ....
     logger.close();

Don't forget to close the logger when it is no longer needed, so resources can be released.

Constructor Summary
`KnowledgeRuntimeLoggerFactory()`

Method Summary
`static KnowledgeRuntimeLogger` | `newConsoleLogger(KnowledgeRuntimeEventManager session)` Logs events to command line console.
`static KnowledgeRuntimeLogger` | `newFileLogger(KnowledgeRuntimeEventManager session, String fileName)` Creates a file logger in the current thread.
`static KnowledgeRuntimeLogger` | `newThreadedFileLogger(KnowledgeRuntimeEventManager session, String fileName, int interval)` Creates a file logger that executes in a different thread, where information is written on given intervals (in milliseconds).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KnowledgeRuntimeLoggerFactory

    public KnowledgeRuntimeLoggerFactory()

Method Detail

### newFileLogger

    public static KnowledgeRuntimeLogger newFileLogger(KnowledgeRuntimeEventManager session,
                                                       String fileName)

  Creates a file logger in the current thread. The file is in XML format, suitable for interpretation by Eclipse's Drools Audit View or other tools. Note that while events are written as they happen, the file will not be flushed until it is closed or the underlying file buffer is filled. If you need real time logging then use a Console Logger or a Threaded File Logger.

  Parameters:
    `session` -
    `fileName` - - .log is appended to this.
  Returns:

### newThreadedFileLogger

    public static KnowledgeRuntimeLogger newThreadedFileLogger(KnowledgeRuntimeEventManager session,
                                                               String fileName,
                                                               int interval)

  Creates a file logger that executes in a different thread, where information is written on given intervals (in milliseconds). The file is in XML format, suitable for interpretation by Eclipse's Drools Audit View or other tools.

  Parameters:
    `session` -
    `fileName` - - .log is appended to this.
    `interval` - - in milliseconds.
  Returns:

### newConsoleLogger

    public static KnowledgeRuntimeLogger newConsoleLogger(KnowledgeRuntimeEventManager session)

  Logs events to command line console. This is not in XML format, so it cannot be parsed by other tools, but is in real time and is more human readable.

  Parameters:
    `session` -
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss Inc.. All Rights Reserved.